Package org.flowable.engine.repository

# Interface Model

public interface Model
Represents a model that is stored in the model repository. In addition, a model can be deployed to the process Engine in a separate deployment step. A model is a container for the meta data and sources of a process model that typically can be edited in a modeling environment.

Author:
  Tijs Rademakers, Joram Barrez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCategory()`
  `Date`
  `getCreateTime()`
  `String`
  `getDeploymentId()`
  `String`
  `getId()`
  `String`
  `getKey()`
  `Date`
  `getLastUpdateTime()`
  `String`
  `getMetaInfo()`
  `String`
  `getName()`
  `String`
  `getTenantId()`
  `Integer`
  `getVersion()`
  `boolean`
  `hasEditorSource()`
  whether this model has editor source
  `boolean`
  `hasEditorSourceExtra()`
  whether this model has editor source extra
  `void`
  `setCategory(String category)`
  `void`
  `setDeploymentId(String deploymentId)`
  `void`
  `setKey(String key)`
  `void`
  `setMetaInfo(String metaInfo)`
  `void`
  `setName(String name)`
  `void`
  `setTenantId(String tenantId)`
  `void`
  `setVersion(Integer version)`

- ## Method Details

  - ### getId

    String getId()

  - ### getName

    String getName()

  - ### setName

    void setName(String name)

  - ### getKey

    String getKey()

  - ### setKey

    void setKey(String key)

  - ### getCategory

    String getCategory()

  - ### setCategory

    void setCategory(String category)

  - ### getCreateTime

    Date getCreateTime()

  - ### getLastUpdateTime

    Date getLastUpdateTime()

  - ### getVersion

    Integer getVersion()

  - ### setVersion

    void setVersion(Integer version)

  - ### getMetaInfo

    String getMetaInfo()

  - ### setMetaInfo

    void setMetaInfo(String metaInfo)

  - ### getDeploymentId

    String getDeploymentId()

  - ### setDeploymentId

    void setDeploymentId(String deploymentId)

  - ### setTenantId

    void setTenantId(String tenantId)

  - ### getTenantId

    String getTenantId()

  - ### hasEditorSource

    boolean hasEditorSource()
    whether this model has editor source

  - ### hasEditorSourceExtra

    boolean hasEditorSourceExtra()
    whether this model has editor source extra